Bug 703026 (CVE-2011-1776) - CVE-2011-1776 kernel: validate size of EFI GUID partition entries
Summary: CVE-2011-1776 kernel: validate size of EFI GUID partition entries
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1776
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 703027 703028 703029 703030 703031
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-09 03:09 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:44 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 12:44:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0927 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-07-15 06:07:56 UTC
Red Hat Product Errata RHSA-2011:1189 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-08-23 14:41:43 UTC
Red Hat Product Errata RHSA-2011:1253 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-09-12 19:43:48 UTC

Description Eugene Teo (Security Response) 2011-05-09 03:09:02 UTC
The kernel automatically evaluates partition tables of storage devices. The code for evaluating GUID partitions (in fs/partitions/efi.c) contains a bug that can cause a kernel heap overflow on certain corrupted GUID partition tables.

Upstream commit:
http://git.kernel.org/linus/fa039d5f6b126fbd65eefa05db2f67e44df8f121

Acknowledgements:

Red Hat would like to thank Timo Warns for reporting this issue.

Comment 3 Petr Matousek 2011-05-09 20:45:25 UTC
Statement:

This issue affects the versions of Linux kernel as shipped with Red Hat
Enterprise 4, 5, 6, and Red Hat Enterprise MRG. This has been addressed in Red Hat Enterprise Linux 5, 6, and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0927.html and https://rhn.redhat.com/errata/RHSA-2011-1189.html, and https://rhn.redhat.com/errata/RHSA-2011-1253.html. Red Hat Enterprise Linux 4 is now in Production 3 of the maintenance life-cycle, https://access.redhat.com/support/policy/updates/errata/, therefore the fix for this issue is not currently planned to be included in the future updates.

Comment 4 Eugene Teo (Security Response) 2011-05-11 01:43:48 UTC
CVE-2011-1776 addresses the size of partition entries used for allocating a data structure.

Comment 10 errata-xmlrpc 2011-07-15 06:09:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0927 https://rhn.redhat.com/errata/RHSA-2011-0927.html

Comment 11 errata-xmlrpc 2011-08-23 14:42:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1189 https://rhn.redhat.com/errata/RHSA-2011-1189.html

Comment 12 errata-xmlrpc 2011-09-12 19:46:07 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html


Note You need to log in before you can comment on or make changes to this bug.